Subject: Re: bug#61325: 30.0.50; Jokes in GNUS manual

From: Richard Stallman <[email-masked]>
Date: Tue, 07 Feb 2023 23:31:53 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > 3.15 Exiting Gnus has
  > >
  > >    Note:
  > >
  > >      Miss Lisa Cannifax, while sitting in English class, felt her feet
  > >      go numbly heavy and herself fall into a hazy trance as the boy
  > >      sitting behind her drew repeated lines with his pencil across the
  > >      back of her plastic chair.
  > >
  > > I am not sure if it is a joke. I only feel confused about what
  > > information this note is trying to convey. Also, at least one other user
  > > find this section insulting.

I can't see what in this a reader might consider insulting.
I can't see what in this a reader might consider funny.
I can't make sense of it at all.

Would someone who understands it please explain the joke?

  > > ‘z’
  > >      Suspend Gnus (‘gnus-group-suspend’).  This doesn’t really exit
  > >      Gnus, but it kills all buffers except the Group buffer.  I’m not
  > >      sure why this is a gain, but then who am I to judge?
  > >
  > > is implying what? Is it just a joke? Or is it saying that the function
  > > is useless? Discouraged? I am confused.

I find it disparaging to Gnus itself.

If we think some detail of Gnus is somehow problematical, the manual
is the wrong place to say so.  Rather, Gnus developers should take up
the issue and decide whether this behavior is useful or not.  If
useful, explain why; if not, perhaps delete it.

  > >     If you read lots and lots of groups, it might be convenient to group
  > >     them hierarchically according to topics.  You put your Emacs groups over
  > >     here, your sex groups over there, and the rest (what, two groups or so?)
  > >     you put in some misc section that you never bother with anyway.  You can
  > >     even group the Emacs sex groups as a sub-topic to either the Emacs
  > >     groups or the sex groups—or both!  Go wild!

This seems to be trying to create humor by simply referring to sex.
I "get the joke," but it doesn't seem to be very funny.  This part

           and the rest (what, two groups or so?)
  > >     you put in some misc section that you never bother with anyway.

stereotypes the users and mocks them.  That is likely to make the
readers feel attacked.

We owe no special consideration to people who try to impose their
unrelated hgypersensitivities on others.  They are demanding power
which nobody should have.

However, jokes that make people feel mocked _because they use Gnus_
are unfriendly to our users.  We should remove those.

  > >     Other people use “kill files”, but we here at Gnus Towers like scoring
  > >     better than killing, so we’d rather switch than fight.  They do
  > >     something completely different as well, so sit up straight and pay
  > >     attention!
  > >
  > > For me, this paragraph is meaningless. For US users, it is some kind of
  > > word play around sexual behavior, I guess. At least some users find "we
  > > .. like scoring better than killing" uncomfortable. I object jokes that
  > > make people feel uncomfortable.
  > >
  > > Also, I fail to understand what "kill files" really refers to here. Also
  > > some USA-specific context? Or is it Emacs killing concept? Deleting
  > > files on file system?

  > Gnus is a news reader.  Naturally, the indended audience of the jokes in
  > its manual are those who read net news.

That's not a kind attitude toward the reader.

                                             Since you don't know what a
  > kill or a (Gnus-specific) score file is, you can disregard that
  > paragraph.

That is very unkind to the reader.  Users don't enjoy feeling puzzled
about important parts of the subject matter.  The manual should _help_
users understand the subject matter -- that's its purpose.

I presume the Gnus manual explains what a kill file is, for readers
who do not know.  If not, we should add that.

Then this joke -- if it is worth keeping -- should have a cross reference
to that explanation.

So, IS this joke worth keeping?

Although I am an American, I don't get the joke at all.  It seems to
be more smirking than funny.

Can anyone explain the intended meaning?  If that is more funny than
the actual wording, maybe we could change the wording to be clear.
But if we don't do that, deleting the joke could be better.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)